#include <stdio.h>
#include <math.h>

#define TAMANHO 5

/* funcao array_max(a)
 *  acao:      acha o maior inteiro de um array de TAMANHO elementos
 *  entrada:   array a de inteiros      
 *  saida:     o maior valor do array   
 *  suposicoes: a tem TAMANHO elementos
 *  algoritmo:  inicializa max com o primeiro elemento do array; em
 *              uma repeticao compara o max com todos os elementos
 *              do array em ordem e muda o valor de max quando um
 *              elemento do array for maior que o max ja' encontrado.
 */
int array_max(int a[])
{
  int i, max;

  /* Achar o maior valor do array */
  max = a[0];

  i = 1;
  while (i < TAMANHO) {
    if (max < a[i])
      {
	max = a[i];
      }
    i += 1;
  }

  return max;
}

/* Programa principal */
int main()
{
  int i, valor[TAMANHO];

  i = 0;
  while (i < TAMANHO) {
    printf("Entre um inteiro: ");
    scanf("%d", &valor[i]);
    i += 1;
  }

  printf("O maior e' %d\n", array_max(valor));
}

